uk.gov.hmrc.githubclient

# HookEvent

###
Related Docs: class HookEvent | package githubclient

#### object HookEvent

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HookEvent
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### object CheckRun extends HookEvent with Product with Serializable

5. #### object CheckSuite extends HookEvent with Product with Serializable

6. #### object CommitComment extends HookEvent with Product with Serializable

7. #### object Create extends HookEvent with Product with Serializable

8. #### object Delete extends HookEvent with Product with Serializable

9. #### object Deployment extends HookEvent with Product with Serializable

10. #### object DeploymentStatus extends HookEvent with Product with Serializable

11. #### object Download extends HookEvent with Product with Serializable

12. #### object Follow extends HookEvent with Product with Serializable

13. #### object Fork extends HookEvent with Product with Serializable

14. #### object ForkApply extends HookEvent with Product with Serializable

15. #### object Gist extends HookEvent with Product with Serializable

16. #### object GithubAppAuthorization extends HookEvent with Product with Serializable

17. #### object Gollum extends HookEvent with Product with Serializable

18. #### object Installation extends HookEvent with Product with Serializable

19. #### object InstallationRepositories extends HookEvent with Product with Serializable

20. #### object IssueComment extends HookEvent with Product with Serializable

21. #### object Issues extends HookEvent with Product with Serializable

22. #### object Label extends HookEvent with Product with Serializable

23. #### object MarketplacePurchase extends HookEvent with Product with Serializable

24. #### object Member extends HookEvent with Product with Serializable

25. #### object Membership extends HookEvent with Product with Serializable

26. #### object Milestone extends HookEvent with Product with Serializable

27. #### object OrgBlock extends HookEvent with Product with Serializable

28. #### object Organization extends HookEvent with Product with Serializable

29. #### object PageBuild extends HookEvent with Product with Serializable

30. #### object Project extends HookEvent with Product with Serializable

31. #### object ProjectCard extends HookEvent with Product with Serializable

32. #### object ProjectColumn extends HookEvent with Product with Serializable

33. #### object Public extends HookEvent with Product with Serializable

34. #### object PullRequest extends HookEvent with Product with Serializable

35. #### object PullRequestReview extends HookEvent with Product with Serializable

36. #### object PullRequestReviewComment extends HookEvent with Product with Serializable

37. #### object Push extends HookEvent with Product with Serializable

38. #### object Release extends HookEvent with Product with Serializable

39. #### object Repository extends HookEvent with Product with Serializable

40. #### object RepositoryImport extends HookEvent with Product with Serializable

41. #### object RepositoryVulnerabilityAlert extends HookEvent with Product with Serializable

42. #### object Status extends HookEvent with Product with Serializable

43. #### object Team extends HookEvent with Product with Serializable

44. #### object TeamAdd extends HookEvent with Product with Serializable

45. #### object Watch extends HookEvent with Product with Serializable

46. #### val all: Set[HookEvent]

47. #### def apply(names: String*): Set[HookEvent]

48. #### def apply(name: String): HookEvent

49. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

50. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

52. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

53. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

54. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

55. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

56. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

57. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

58. #### final def notify(): Unit

    Definition Classes
      AnyRef

59. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

60. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

61. #### def toString(): String

    Definition Classes
      AnyRef → Any

62. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

63. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

64. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped